2007-04-03  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am: install the pkgconfig file in $(datadir)
	so the package can be noarch
	* configure.in: release 2.18.0

2006-12-14  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Commit forgotten version bump.

2006-04-17  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove obsolete entry for no_NO
	* po/no.po: And the translation.

2005-03-30  Steve Murphy  <murf@e-tools.com>

        * configure.in: Added "rw" to ALL_LINGUAS.

2005-03-26  Tor Lillqvist  <tml@novell.com>

	* gnome-mime-data-zip.in: New file, used to build a distribution
	of gnome-mime-data for Win32.

	No, I don't know whether it will ultimately make much sense having
	a gnome-mime-data package for Win32. This is just for completeness
	as many GNOME libraries depend on gnome-mime-data, and as for now
	it's easiest to have gnome-mime-data installed when building
	them. But very likely the users of gnome-mime-data will eventually
	have code to use more native Win32 mechanisms for the function
	that gnome-mime-data has on a Unix system.

	* configure.in
	* Makefile.am: Expand and dist it.

2005-02-08  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "xh" to ALL_LINGUAS.

2004-12-13  Dwayne Bailey  <dwayne@translate.org.za>

	* configure.in: Added "zu" to ALL_LINGUAS

2004-11-15  Dwayne Bailey  <dwayne@translate.org.za>

	* configure.in: Added "nso" to ALL_LINGUAS

2004-10-26  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* gnome-mime-data-2.0.pc.in:
	Let config.status do substitution for exec_prefix, libdir and
	includedir.

2004-10-25  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-vfs.applications: Remove trailing whitespace
	* gnome-vfs.keys.in: Remove non-existant icon for
	Matroska Video format.

2004-10-11  James Henstridge  <james@jamesh.id.au>

	* Makefile.am: remove intltool stuff on distclean.  Remove
	gnome-vfs.keys on clean.

	* configure.in: modernise makefile a bit.

	* autogen.sh (REQUIRED_AUTOMAKE_VERSION): require Automake >= 1.7.

2004-08-16  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "bs" to ALL_LINGUAS.

2004-08-16  Gurban M. Tewekgeli  <gmtavakkoli@yahoo.com>

	* po/tk.po: Added Turkmen translation.
	* configure.in: Add "tk" to ALL_LINGUAS

2004-08-12  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Added nb to ALL_LINGUAS.

2004-06-24  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* gnome-vfs.applications: fix gvim command and name (were 
	swapped).

2004-05-29  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.keys.in:
	* gnome-vfs.mime: add text/x-lua for Lua scripts (Closes: #131484)

2004-05-29  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.keys.in: Translate mime descriptions for Real Player,
	patch adapted from Takao Fujiwara <Takao.Fujiwara@Sun.COM>
	(Closes: #138615)

2004-05-04  Jody Goldberg <jody@gnome.org>

	* gnome-vfs.applications : back out all the aliases and new mime
	  types.  gnome-mime is not setup to handle aliases nicely and has not
	  branched, so there is still a string freeze.

2004-05-03  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic: recognise python scripts from their headers
	(Closes: #132062)

2004-04-28  Jody Goldberg <jody@gnome.org>

	* gnome-vfs.applications : update to clarify that gnumeric supports
	  gnome-vfs

2004-04-09  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "gu" (Gujarati) to ALL_LINGUAS.

2004-03-31  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "af" to ALL_LINGUAS.

2004-03-30  Adam Weinberger  <adamw@gnome.org>

	* configure.in: Added en_CA to ALL_LINGUAS.

2004-03-22  Marco Pesenti Gritti  <marco@gnome.org>

	* gnome-vfs-mime-magic:
	* gnome-vfs.keys.in:
	* gnome-vfs.mime:

	XBEL type is now application/x-xbel, like in
	shared-mime-info

2004-03-16  Gareth Owen  <gowen72@yahoo.com>

	* configure.in: Added en_GB (British) to ALL_LINGUAS

2004-03-04  Guntupalli Karunakar  <karunakar@freedomink.org>

        * configure.in: Added "pa" (Punjabi) to ALL_LINGUAS.

2004-03-01 Dinesh Nadarajah <dinesh_list@sbcglobal.net>

        * ta.po: Started Tamil Translation

2004-03-02  Glynn Foster  <glynn.foster@sun.com>

	* gnome-vfs.applications: Remove the -p option from
	gnome-sound-recorder since it's not supported anymore.

2004-02-29  Paisa Seeluangsawat  <paisa@users.sf.net>

	* configure.in: Added "th" (Thai) to ALL_LINGUAS.

2004-02-25  Danilo Šegan  <dsegan@gmx.net>

	* configure.in: Added sr@ije to ALL_LINGUAS.

2004-02-06  Robert Sedak  <robert.sedak@sk.htnet.hr>

        * configure.in: Added "hr" (Croatian) to ALL_LINGUAS.

2004-02-05  Alexander Larsson  <alexl@redhat.com>

	* gnome-vfs.keys.in:
	Use nautilus-media oafid, not old music view one

2004-01-06  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic: fix detection of Mr Project/Planner files
	(Closes: #130662)

2004-01-05  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.keys.in: add an icon for the Matroska videos

2003-12-30  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.keys.in: change the label of Matroska video file to
	Matroska video (thanks Menthos) (Closes: #130178)

2003-12-27  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic:
	* gnome-vfs.keys.in:
	* gnome-vfs.mime: add Matroska support as application/x-matroska

2003-12-26  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.keys.in:
	* gnome-vfs.mime: added Verilog source files as text/x-verilog-src
	(Closes: #130021)

2003-12-22  Bastien Nocera  <hadess@hadess.net>

	* configure.in: update to 2.4.1

2003-12-22  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.keys.in: add more aliases for .zip files (Closes: #129510)

2003-12-22  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic:
	* gnome-vfs.applications:
	* gnome-vfs.keys.in:
	* gnome-vfs.mime: application/x-flac is now audio/x-flac,
	image/svg is now image/svg+xml (Closes: #127667, #86748)

2003-12-22  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic: better heuristics to detect RIFF CDXA video
	types (Closes: #129780)

2003-12-22  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic: matching on "<title" brings too many false
	positive (HTML vs. XML) (Closes: #111234)

2003-12-09  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.keys.in:
	* gnome-vfs.mime: run check-mime.pl, run check-mime.pl,
	whip self, whip self, add bittorrent mime-type

2003-12-09  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic:
	* gnome-vfs.keys.in:
	* gnome-vfs.mime: add DjVu support as image/x.djvu

2003-12-02  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic:
	* gnome-vfs.keys.in:
	* gnome-vfs.mime: add support for application/x-gchempaint and
	application/x-gcrystal (Closes: #126293)

2003-12-01  Bastien Nocera  <hadess@hadess.net>

	* man/Makefile.am: don't install the man page, it's outdated

2003-12-01  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.mime: make .cpio.gz have precendence over .gz
	(Closes: #126470)

2003-12-01  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.keys.in: use Documents/TeX for TeX files, and
	Documents/Published Materials for DVI files (Closes: #119894)

2003-12-01  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.applications: use "gimp-remote" in place of "gimp"
	to allow the use of an existing instance (Closes: #99272)

2003-12-01  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.applications:
	* gnome-vfs.keys.in:
	* gnome-vfs.mime: add Objective-C support (patch from PUYDT Julien
	<julien.puydt@laposte.net>) (Closes: #126473)

2003-12-01  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.keys.in:
	* gnome-vfs.mime: rename video/vivo to video/vnd.vivo, remove
	xanim and xmps as handlers for video files, mark a few strings
	for translation (Closes: #94214)

2003-11-20  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic:
	* gnome-vfs.keys.in: added support for video/dv as per RFC 3189

2003-11-20  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.keys.in:
	* gnome-vfs.mime: added audio/x-ms-wax (Windows Audio Playlist)
	mime-type

2003-11-17  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.mime: .m4a for MPEG-4 audio

2003-11-17  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic:
	* gnome-vfs.keys.in: added MPEG-4 audio detection and mime-type
	(audio/x-m4a)

2003-11-05  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.keys.in: added type audio/x-ms-asf (seems to be used
	for audio-only ASF streams)

2003-10-27  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic:
	* gnome-vfs.keys.in:
	* gnome-vfs.mime: added Cinelerra editing sheets magic
	(Closes: #125489)

2003-10-12  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.keys.in: added image/pjpeg as a possible JPEG mime-type
	(Closes: #124409), translate the bitorrent and javascript entries
	now that the string freeze is over

2003-10-12  Christophe Fergeau  <teuf@gnome.org>

	* gnome-vfs-mime-magic: made ID3 sniffing more selective (closes
	  #124335) 

2003-10-05  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic:
	* gnome-vfs.keys.in: added BitTorrent mime-types and magic

2003-09-22  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.keys.in: added application/x-zip-compressed, the Outlook
	engineers ("I are one!") can't read either (Closes: #122947)

2003-09-15  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.mime: added "pm" as a possible extension for text/x-perl
	(Closes: #121509)

2003-09-13  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic: detect FLAC files with ID3 headers as FLAC
	* gnome-vfs.keys.in: add image/jpg, the MacOS X Mailer engineers can't
	read properly (Closes: #122184)

2003-09-10  Bastien Nocera  <hadess@hadess.net>

	* configure.in: pump up to 2.4.0
	* gnome-vfs.keys.in: make x-directory/smb-share use a component
	as the default handler (fixes smb browsing)

2003-09-01  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "ne" to ALL_LINGUAS.

2003-08-30  Laurent Dhima  <laurenti@alblinux.net>

	* configure.in: Added "sq" to ALL_LINGUAS.
	
2003-08-29  Bastien Nocera  <hadess@hadess.net>

	* check-mime.pl: add default_application_id as an expected key
	* gnome-vfs.keys.in: revert some change from the previous commit
	to not remove Marco's changes

2003-08-29  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.applications:
	* gnome-vfs.keys.in: fix a bunch of warnings from check-mime.pl,
	add eog and the image view as a handler for image/x-ico mime-types

2003-08-25  Marco Pesenti Gritti  <marco@gnome.org>

	* gnome-vfs.keys.in:

	Make epiphany default handler for text/html.

2003-08-20  Luis Villa <louie@ximian.com>

	* gnome-vfs.applications: add epiphany, based on galeon entry

2003-08-18  Luis Villa <louie@ximian.com>

	* gnome-vfs.mime: add 'mrproject' extension for mrproject files
	* gnome-vfs.keys.in: make epiphany and galeon preferred over
	mozilla where appropriate
	* gnome-vfs.keys.in: fix tabbing of x-javascript entry. Left lack
	of translation because of string freeze.

2003-08-13  Christian Neumair  <chris@gnome-de.org>

	* gnome-vfs.applications: Use AbiWord 2.0 executable.
	* gnome-vfs.keys.in: Make Wine the default application for MS DOS
	executables.

2003-08-07  Bastien Nocera  <hadess@hadess.net>

	* .cvsignore: upd
	* configure.in: 2.3.1 is out

2003-07-28  Mark McLoughlin  <mark@skynet.ie>

	* gnome-vfs.keys.in: make the default action for pdf to use
	the gpdf embedded viewer.

2003-07-22  Bastien Nocera  <hadess@hadess.net>

	* AUTHORS: spell my name properly
	* gnome-vfs.applications: added a vim application, changed the default
	command for gvim and vim to set the current directory to the directory
	the file is in (Closes: #114792)
	* gnome-vfs.keys.in: added vim as an option before plain vi

2003-07-22  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.keys.in: Patch from Hidetoshi Tajima
	<hidetoshi.tajima@sun.com> to avoid duplicate Audio and Images entries
	in gnome-file-types-properties (Closes: #113938)

2003-07-22  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.keys.in: added application/x-bzip2 mimetype (blame
	Sourceforge) (Closes: #117087), removed guitar as a possible handler,
	it's dead

2003-07-22  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.mime: added blend and BLEND as possible suffixes for
	Blender files (Closes: #118024)

2003-07-22  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic:
	* gnome-vfs.keys.in:
	* gnome-vfs.mime: Fix Real and Blender mime-types to go through
	check-mime.pl

2003-07-15  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* gnome-vfs.keys.in: use gpdf if available.

2003-07-12  Joël Brich <joel.brich@laposte.net>

	* configure.in: Added "eo" to ALL_LINGUAS.

2003-07-09  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.mime: .mp3 files are now audio/mpeg

2003-07-02  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic:
	* gnome-vfs.mime: only .ram files are playlists, not the others,
	added rv as a possible extension of Real Media stuff, removed
	http:// as a possible magic for Real Networks file, too many
	false positives

2003-06-20  Anders Carlsson  <andersca@codefactory.se>

	* gnome-vfs-mime-magic:
	* gnome-vfs.keys.in:
	* gnome-vfs.mime:
	Add support for Blender files
	
2003-06-17  Bastien Nocera  <hadess@hadess.net>

	* .cvsignore: cleanup
	* check-mime.pl: don't warn on now expected startup_notify entry
	* gnome-vfs.keys.in: added MagicPoint presentations
	* gnome-vfs.mime: added as well

2003-06-11  Alexander Larsson  <alexl@redhat.com>

	* gnome-vfs.keys.in:
	Add EOG collection to short list

	* gnome-vfs.mime:
	Add .lo to object file extensions

2003-06-11  Jon Svendsen  <jon-sven@frisurf.no>

	* gnome-vfs.applications: Add startup_notify=true for applications
	with stable releases supporting freedesktop.org startup notification

2003-06-05  Samúel Jón Gunnarsson  <sammi@techattack.nu>

	* configure.in: Added "is" into ALL_LINGUAS

2003-06-03  Seth Nickell  <snickell@stanford.edu>

	* check-mime.pl:
	* gnome-vfs.applications:

	Update to use the "use_gnomevfs" flag, which should
	be set on any applications that support GnomeVFS so
	Nautilus et al will know that they support "all" URIs.

2003-06-02  Seth Nickell  <snickell@stanford.edu>

	* AUTHORS:

	Make Bastien do the work.
	
2003-05-26  Kenneth Rohde Christiansen  <kenneth@gnu.org>

	* configure.in: Added 'li' to ALL_LINGUAS

2003-05-25  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.keys.in:
	* gnome-vfs.mime: s/wmx/wvx/ (I think I'm dyslexic)

2003-05-25  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.keys.in:
	* gnome-vfs.mime: added a name nice for "video/x-ms-wmx" files

2003-05-23  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.keys.in: add the application/x-smb-printer mime-type
	for the new SMB method

2003-05-22  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic: remove false positives detection with help
	from Justin Frankel from Nullsoft

2003-05-20  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic:
	* gnome-vfs.keys.in:
	* gnome-vfs.mime: it's video/x-nsv, not video/x-nsf

2003-05-20  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic:
	* gnome-vfs.keys.in:
	* gnome-vfs.mime: added video/x-nsf mime-type from Nullsoft, fixed
	placement of the samba share directory

2003-05-19  Christian Neumair  <chris@gnome-de.org>

	* gnome-vfs.keys.in: Reduced number of translatable strings by 1 by
	assimilating two similar strings.

2003-05-13  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.keys.in: added a description for x-directory/smb-share

2003-05-11  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic: another small magic bit for asx playlists
	(forgot about lowercase...)

2003-05-06  Danilo Å egan  <dsegan@gmx.net>

	* configure.in: Added "sr" and "sr@Latn" to ALL_LINGUAS.

2003-05-05  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic:
	* gnome-vfs.keys.in: Added entry for epiphany bookmarks file

2002-05-28  Ricardo Fernández Pascual  <ric@users.sourceforge.net>

	* gnome-vfs-mime-magic
	* gnome-vfs.keys.in
	* gnome-vfs.mime: Added entries for xbel, netscape and mozilla 
	bookmarks formats. (Modified by Bastien Nocera <hadess@hadess.net>,
	we should use x- prefixes for non IANA mime-types)

2003-05-05  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.mime: added "ltx" extension for LaTeX files (patch by
	Ross Burton <r.burton@180sw.com>) (Closes: #107197)

2003-05-05  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic:
	* gnome-vfs.applications:
	* gnome-vfs.keys.in:
	* gnome-vfs.mime:
	* icons/Makefile.am:
	* icons/gnome-application-ogg.png:
	* icons/gnome-application-x-ogg.png: move application/x-ogg to
	application/ogg, but leave the description and handlers intact
	(Closes: #105838)

2003-05-05  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.mime: added TTC extension for True Type fonts
	(Closes: #99947)

2003-05-05  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.applications:
	* gnome-vfs.keys.in:
	* gnome-vfs.mime: added Applix "Presents" presentations
	(Closes: #78362)

2003-05-05  Telsa Gwynne  <hobbit@aloss.ukuu.org.uk>
                                                                                
        * configure.in: Added cy to ALL_LINGUAS
        * po/cy.po: Added

2003-05-04  Taneem Ahmed  <taneem@eyetap.org>

	* configure.in: Added "bn" in ALL_LINGUAS

2003-05-02  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic: move down the ranking the tests to recognise
	XML files, and move the xml-derived formats above it. This fixes
	detection of uncompressed Dia, Gnumeric and Abiword documents
	(Closes: #110958)

2003-04-26  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic: add magic for some MPEG program streams

2003-04-24  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Added "ar" "cs" to ALL_LINGUAS.

2003-04-16  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic: added more magic for ASF and ASX files, and
	for MP3s with padded headers (ie. broken)

2003-04-05  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic: more Real video mime magic

2003-04-04  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic: SMIL playlists could be recognised as HTML,
	moved tests up the rank

2003-04-04  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic: added more magic for Real playlists files and 
	SMIL playlists

2003-04-02  Paolo Maggi  <paolo.maggi@polito.it>

	* gnome-vfs-mime-magic: added a simple rule to recognise xml files

	* gnome-vfs.keys.in: added desription for text/x-po (gettext 
	  translation)

	* gnome-vfs.mime: text/x-patch and text/x-po

2003-04-01  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic:
	* gnome-vfs.keys.in:
	* gnome-vfs.mime: added Corel Draw magic, mime-type and description

2003-03-29  Andrew Sobala  <aes@gnome.org>

	* gnome-vfs.keys.in: add descriptions for application/x-gnome-theme
	and application/x-gnome-theme-installed, from themus, as HEAD is no
	longer string-frozen.

2003-03-29  Christian Schaller <uraeus@gnome.org>
	* Added pascal, asembler, yacc and ape mimetypes
	* Removed icons dir from build
	* Updated SPEC file to include latest changes
	* Set version to 2.3
	* make a gnome 2.2 branch
	* Merge Red Hat's patches 

2003-03-29  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.keys.in: fix up the usage of Caps in the descriptions
	* gnome-vfs.mime: tabs not spaces

2003-03-27  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic: added application/x-ipod-firmware that
	recognises the iPod Firmware files

2003-03-26  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "yi" to ALL_LINGUAS.

2003-03-20  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "ml" to ALL_LINGUAS

2003-03-04  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic: more magic for ASF reference files (->asx)

2003-02-28  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic: added magic for Philips MPEG-4 files

2003-02-22  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic: detect ASF videos by content

2003-02-21  Roozbeh Pournader  <roozbeh@sharif.edu>

	* configure.in: Added "fa" to ALL_LINGUAS.

2003-02-18  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic: detect realaudio playlist files properly

2003-02-10  Mohammad DAMT  <mdamt@bisnisweb.com>

	* po/id.po: Added Indonesian translation
	* configure.in: Added "id" to ALL_LINGUAS

2003-02-02  Andrew Sobala  <aes@gnome.org>

	* gnome-vfs.keys.in: reverting the string-freeze breaking change

2003-02-02  Andrew Sobala  <aes@gnome.org>

	* gnome-vfs-mime-magic:
	* gnome-vfs.keys.in:
          add x-gnome-theme and x-gnome-theme-installed

2003-02-01  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.mime: added iso as a possible extension for ISO images

2003-02-01  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.mime: added svgz as a possible extension for SVG files
	(reported by Christian Schaller, following additions to librsvg)

2003-02-01  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic: CDXA RIFF data is MPEG video (Closes: #104930)

2003-01-22  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "mn" to ALL_LINGUAS.

2003-01-17  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.mime: added pps suffix for PowerPoint files

2003-01-09  Alex Duggan  <aldug@gnome.org>

	* AUTHORS: added Seth Nickell to AUTHORS file,
	fixes #100790

2002-01-07  Naba Kumar  <naba@gnome.org>

	* configure.in: Added hi (hindi) in ALL_LINGUAS
	
2003-01-02  Seth Nickell  <snickell@stanford.edu>

	* gnome-vfs.mime:

	Add entry for application/x-palm-database

2002-12-13  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* gnome-vfs-mime-magic: added OpenType font detection and 
	some missing Type1 font magic
	* gnome-vfs.keys.in: added application/x-font-otf

2002-12-05  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic: added ISO image detection
	* gnome-vfs.keys.in: added desc for application/x-iso-image

2002-11-10  Alexander Kirillov  <kirillov@math.sunysb.edu>

	* icons/gnome-application-x-dvi.png: new file, copied from
	Ximian-South theme (fixes bug 94945)
	* icons/Makefile.am: added   gnome-application-x-dvi.png
	

2002-11-08  Thomas Vander Stichele <thomas at apestaart dot org>

        * gnome-vfs-mime-magic:
        * gnome-vfs.applications:
        * gnome-vfs.keys.in:
        * gnome-vfs.mime: added flac (lossless audio compression)

2002-11-06  Christophe Fergeau <teuf@users.sourceforge.net>

	* gnome-vfs-mime-magic: added gzip 

2002-11-04  Alexander Kirillov <kirillov@math.sunysb.edu>

	* gnome-vfs.keys.in: added an icon for text/x-tex (same one as 
	  application/x-tex)

2002-11-03  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Belarusian to ALL_LINGUAS

2002-10-31  Thomas Vander Stichele <thomas at apestaart dot org>

        * icons/: added flac icon from jimmac

2002-10-25  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.mime: asx isn't asf

2002-10-25  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.keys.in:
	* gnome-vfs.mime: add Microsoft ASX playlist format's mimetype

2002-10-21  Seth Nickell  <snickell@stanford.edu>

	* icons/gnome-audio-prs.sid.png:

	Icon from Linus Walleij
	
2002-10-06  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.applications:
	* gnome-vfs.keys.in: fix all the warnings from check-mime.pl
	* gnome-vfs.mime: added TODO as text/x-readme

2002-09-30  Marco Pesenti Gritti  <marco@it.gnome.org>

	* gnome-vfs.keys.in: Add audio/mpeg entry and rename audio/x-mpeg
	* gnome-vfs.mime: Add audio/mpeg for mp1 extension
	* gnome-vfs.applications: Use audio/mpeg

2002-09-04  Alex Graveley  <alex@ximian.com>

	* gnome-vfs.applications: Add -p to gnome-sound-recorder command
	so sound files are played on startup.  Fixes bug #90959.

2002-08-20  Seth Nickell  <snickell@stanford.edu>

	* gnome-vfs-mime-magic:
	* gnome-vfs.applications:
	* gnome-vfs.keys.in:
	* gnome-vfs.mime:

	Add entry for shoutcast playlist (audio/x-scpls)
	
2002-08-18  James Willcox  <jwillcox@cs.indiana.edu>

	* gnome-vfs.applications:  gedit expects URIs, not local paths

2002-08-17  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.keys.in: added gimp as a possible application for g3fax,
	pcx, targa and xwd images
	* check-mime.pl: s/category/_category/ so the script doesn't print
	boatloads of useless warnings about Jody's change

2002-08-07  Jody Goldberg <jody@gnome.org>

	* gnome-vfs.keys.in : now that 2.0.1 is locked we can mark the
	  categories as translatable.

2002-08-05  Michael Meeks  <michael@ximian.com>

	* gnome-vfs-mime-magic: re-order so check-mime passes.

	* gnome-vfs.keys.in: ditto.

2002-08-04  Bastien Nocera  <hadess@hadess.net>

	* CVS_COMMITS: added
	* gnome-vfs-mime-magic: added magic for Apple's new .mp4 files

2002-08-02  Thomas Meeks  <thomas@imaginator.com>

	* gnome-vfs-mime-magic: Added image/x-dcm, x-sun-raster, x-sgi,
	x-pcx, x-dib, x-fits, x-fpx, x-icb, x-dpx

	* gnome-vfs.keys.in: Added appropiate file descriptions and viewers

	* gnome-vfs.mime: Added above extensions also added miff, gray,
	palm, and pict

2002-07-12  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic:
	* gnome-vfs.keys.in: Added MacBinaryII file types
	fix warning about the position of the vfolder-desktop mime-type in
	gnome-vfs.keys.in

2002-07-02  Peteris Krisjanis <pecisk@inbox.lv>

	* configure.in: (ALL_LINGUAS) added Latvian (lv) support.

2002-06-29  Seth Nickell  <snickell@stanford.edu>

	* gnome-vfs.mime:

	Change extension for C++ headers from "hp" to "hpp".

2002-06-28  Damon Chaplin  <damon@ximian.com>

	* gnome-vfs.keys.in: changed default action for text/html to
	application. We're doing this as nautilus 2.0 doesn't have a decent
	html component and it currently displays it as ascii text (bad!).
	Unfortunately this change will also affect nautilus 1.4 users, who
	may prefer the mozilla component. They'll have to change their default
	view themselves. Fixes bug #81615. 

2002-06-26  Jakub Steiner <jimmac@ximian.com>

	* icons/Makefile.am: added i-web and i-network
	* icons/i-network.png: 
	* icons/i-web.png: hadess' request

2002-06-26  Bastien Nocera  <hadess@hadess.net>

	* icons/Makefile.am: added 2 files from ximian-south by jimmac
	* icons/i-ftp.png: added
	* icons/i-nfs.png: updated
	* icons/i-smb.png: added

2002-06-19  Jakub Steiner <jimmac@ximian.com>

	* icons/gnome-application-vnd.sun.xml.calc.png:
	* icons/gnome-application-vnd.sun.xml.impress.png:
	* icons/gnome-application-vnd.sun.xml.writer.png: update labels

2002-06-19  Seth Nickell  <snickell@stanford.edu>

	* gnome-vfs.applications:
	* gnome-vfs.keys.in:

	Nasty hack to allow XMMS and FreeAmp to only handle
	MP3 files over http: (not playlists).

	Patch from Ben Liblit.

2002-06-17  Yanko Kaneti  <yaneti@declera.com>

	* configure.in: (ALL_LINGUAS) Added Bulgarian (bg).

2002-06-12  Seth Nickell  <snickell@stanford.edu>

	* gnome-vfs.applications:

	Change binary name to gnome-sound-recorder
	
2002-06-12  Jakub Steiner <jimmac@ximian.com>

	* icons/gnome-application-x-abiword.png: forgot to update this
	  one too

2002-06-12  Seth Nickell  <snickell@stanford.edu>

	* configure.in:

	Release 2.0.0.

2002-06-11  Seth Nickell  <snickell@stanford.edu>

	* gnome-vfs.keys.in:

	Don't use ogg123 for OGG files, prefer xmms & freeamp.

2002-06-06  Rajeev Karale <rajeev.karale@wipro.com>

	* icons/Makefile.am : Bigfix #84350. Fix for document-icons not 
	  getting installed properly. 

2002-06-03  Jody Goldberg <jody@gnome.org>

	* gnome-vfs.keys.in : Doh! the category should be 'Images' not 'Image'

2002-05-31  Alex Graveley  <alex@ximian.com>

	* gnome-vfs.mime: Add image/x-emf, image/x-pcx, image/x-photo-cd,
	image/x-pict mimetypes.

	* gnome-vfs.applications: Add openoffice application, add new
	mimetypes as supported by staroffice.

	* gnome-vfs.keys.in: Add openoffice as a supported application
	wherever staroffice is used.  Add staroffice/openoffice
	application handlers for added mime types.

2002-05-31  Jakub Steiner <jimmac@ximian.com>

	* icons/i-dvd.png: we can't use the DVD logo I was told. 
	* icons/gnome-text-abiword.png: don't use the app icon for abi
     files
	* icons/gnome-text-x-lyx.png: LyX files

Thu May 30 09:32:41 2002  George Lebl <jirka@5z.com>

	* gnome-vfs.keys.in: add x-directory/vfolder-desktop

2002-05-29  Jody Goldberg <jody@gnome.org>

	* gnome-vfs.keys.in : Add more categories.

2002-05-24  Alex Graveley  <alex@ximian.com>

	* gnome-vfs-mime-magic: Move audio/x-wav matchers above
	audio/x-riff, as wav files start with RIFF, and were being wrongly
	identified as audio/x-riff.

2002-05-23  Seth Nickell  <snickell@stanford.edu>

	* gnome-vfs.mime:

	Add cls and sty extensions to TeX type (x-tex). Probably should be
	split into LaTex types post string freeze.
	
2002-05-20  Jaka Mocnik  <jaka@gnu.org>

	* gnome-vfs.keys.in: added GGV control component iids for
	application/postscript mime type. made component the default
	action type.

2002-05-20  Bastien Nocera  <hadess@hadess.net>

	* icons/Makefile.am:
	* icons/i-dvd.png: added a crummy home-made icon for DVDs

2002-05-18  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Added "mk" to ALL_LINGUAS.
	
2002-05-16  Bastien Nocera  <hadess@hadess.net>

	* icons/Makefile.am:
	* icons/i-cdrom-audio.png: add a dodgy home-made icon for Audio CDs

2002-05-13  Jacob Berkman  <jacob@ximian.com>

	* gnome-vfs-mime-magic: read more byts for svgs, as some have a
	comment before the <!DOCTYPE> tag which broke scalable gorilla

2002-05-06  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs.keys.in: added gnome-audio-x-it.png as the icon for
	audio/x-it
	* icons/Makefile.am:
	* icons/gnome-audio-x-it.png: updated

2002-05-01  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic: added magic for Impulse Tracker modules

2002-05-01  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Basque (eu) and Vietnamese (vi) to ALL_LINGUAS

2002-04-25  Seth Nickell  <snickell@stanford.edu>

	* check-mime.pl:

	Update to handle component keyword change.

	_ALWAYS_ run this script before checking in please.

	* gnome-vfs.applications:
	* gnome-vfs.keys.in:
	* gnome-vfs.mime:

	Add several new types, change icon names.
	
	* icons/Makefile.am:
	* icons/gnome-application-pdf.png:
	* icons/gnome-application-pgp-encrypted.png:
	* icons/gnome-application-pgp-keys.png:
	* icons/gnome-application-x-applix-spreadsheet.png:
	* icons/gnome-application-x-applix-word.png:
	* icons/gnome-application-x-c-header.png:
	* icons/gnome-application-x-c-source.png:
	* icons/gnome-application-x-cc-source.png:
	* icons/gnome-application-x-deb.png:
	* icons/gnome-application-x-gnome-app-info.png:
	* icons/gnome-application-x-jar.png:
	* icons/gnome-application-x-java-byte-code.png:
	* icons/gnome-application-x-java-source.png:
	* icons/gnome-application-x-mrproject.png:
	* icons/gnome-application-x-php.png:
	* icons/gnome-application-x-python-bytecode.png:
	* icons/gnome-application-x-rpm.png:
	* icons/gnome-image-pbm.png:
	* icons/gnome-image-psd.png:
	* icons/gnome-image-xwd.png:
	* icons/gnome-pack-deb.png:
	* icons/gnome-pack-rpm.png:
	* icons/gnome-text-css.png:
	* icons/gnome-text-x-c++.png:
	* icons/gnome-text-x-c-header.png:
	* icons/gnome-text-x-c.png:
	* icons/gnome-text-x-csh.png:
	* icons/gnome-text-x-install.png:
	* icons/gnome-text-x-java.png:
	* icons/gnome-text-x-python.png:
	* icons/gnome-text-x-sh.png:
	* icons/gnome-video-quicktime.png:
	* icons/gnome-video-x-ms-asf.png:
	* icons/gnome-video-x-msvideo.png:

	Update icons, and add some new ones from Tuomas.
	
2002-04-23  Jody Goldberg <jody@gnome.org>

	* configure.in : post release version bump.

2002-04-23  Jody Goldberg <jody@gnome.org>

	* Release 1.0.7

2002-04-23  Jody Goldberg <jody@gnome.org>

	* configure.in : bump version.

2002-04-23  Jody Goldberg <jody@gnome.org>

	* gnome-vfs.keys.in : gnumeric is now usable as a component

2002-04-21  Anders Carlsson  <andersca@gnu.org>

	* gnome-vfs.keys.in:
	Doh, it's "video", not "vidoe".
	
	* icons/Makefile.am:
	Add trailing slash.
	
2002-04-21  Anders Carlsson  <andersca@gnu.org>

	* gnome-vfs.keys.in:
	Fix the component id mess, we now use 
	"short_list_component_iids" for gnome-vfs 2
	and "short_list_component_iids_<userlevel>" for
	gnome-vfs 1. Also add Haskell and WMV definitions.
	
	* gnome-vfs.mime:
	Add haskell and WMV extensions.
	
	* icons/Makefile.am:
	* icons/gnome-text-x-haskell.png:
	* icons/gnome-text-x-literate-haskell.png:
	* icons/gnome-video-x-ms-wmv.png:
	Add Haskell and WMV icons.
	
2002-04-18  Michael Meeks  <michael@ximian.com>

	* gnome-vfs.keys.in: update all the OAFIIDs
	to the new nautilus versions, needs a new
	nautilus to play well.

2002-03-28  Seth Nickell  <snickell@stanford.edu>

	* configure.in:

	Bump version number to 1.0.6

2002-03-19  Seth Nickell  <snickell@stanford.edu>

	* gnome-vfs.applications:
	* gnome-vfs.mime:

	Add Wine for windows executables.

	Fix regexp for anim files.
	
2002-03-16  Seth Nickell  <snickell@stanford.edu>

	* configure.in:

	Up the version number to 1.0.5.
	
	* gnome-vfs-mime-magic:

	Add magic for detecting libraries and core files, from
	Havard Wigtil (sorry, the character didn't want to stick
	in the file correctly :-)
	
	* gnome-vfs.keys.in:

	Better descriptions for .m3u files and for RealMedia
	files.
	
2002-03-16  Wang Jian  <lark@linux.net.cn>

	* configure.in: Added "zh_CN" to ALL_LINGUAS.

2002-03-05  Seth Nickell  <snickell@stanford.edu>

	* configure.in:
	* icons/Makefile.am:
	* icons/gnome-text-plain.png:

	Delete icon because Nautilus wants to have text previews.
	
2002-03-03  Bastien Nocera  <hadess@hadess.net>

	* icons/Makefile.am: install the icons mentioned underneath there

2002-02-27  Bastien Nocera  <hadess@hadess.net>

	reviewed by: Seth Nickell  <snickell@stanford.edu>

	* gnome-vfs-mime-magic:
	* gnome-vfs.applications:
	* gnome-vfs.keys.in:
	* gnome-vfs.mime: added ROM filetypes,
	gtktalog, zsh, binhex and stuffit. Added file-roller as the default
	program for archives.
	* icons/gnome-application-x-dc-rom.png:
	* icons/gnome-application-x-gameboy-rom.png:
	* icons/gnome-application-x-genesis-rom.png:
	* icons/gnome-application-x-gtktalog.png:
	* icons/gnome-application-x-msx-rom.png:
	* icons/gnome-application-x-n64-rom.png:
	* icons/gnome-application-x-nes-rom.png:
	* icons/gnome-application-x-sms-rom.png:
	* icons/gnome-application-x-stuffit.png:
	* icons/gnome-text-x-patch.png:
	* icons/gnome-text-x-perl.png:
	* icons/gnome-text-x-zsh.png:
	* icons/gnome-text-xml.png: added some (!) icons
	by jimmac

2002-02-25  Hasbullah Bin Pit <sebol@ikhlas.com>

	* configure.in: Added Malay (ms)to ALL_LINGUAS.
	* po/ms.po: Added Malay Translation.

2002-02-25  Seth Nickell  <snickell@stanford.edu>

	* icons/Makefile.am:
	* icons/gnome-application-vnd.stardivision.calc.png:
	* icons/gnome-application-vnd.stardivision.impress.png:
	* icons/gnome-application-vnd.stardivision.writer.png:
	* icons/gnome-application-vnd.sun.xml.calc.png:
	* icons/gnome-application-vnd.sun.xml.impress.png:
	* icons/gnome-application-vnd.sun.xml.writer.png:
	* icons/gnome-application-x-staroffice-words.png:

	Add icons for the most common of these document types.
	
2002-02-21  Seth Nickell  <snickell@stanford.edu>

	* gnome-vfs.applications:
	* gnome-vfs.keys.in:
	* gnome-vfs.mime:

	Add a huge hoarde of StarOffice and OpenOffice document types
	as specified by: 
	http://framework.openoffice.org/documentation/mimetypes/mimetypes.html
	
2002-02-21  Seth Nickell  <snickell@stanford.edu>

	* gnome-vfs-mime-magic:

	Temporarily disable "zip" magic. Its more important to
	detect StarOffice files in the release than the occasional
	zip file without an extension.

2002-02-18  Bastien Nocera  <hadess@hadess.net>

	* gnome-vfs-mime-magic: added mpeg transport stream from
	movieshaker files, as video/mpeg

2002-02-14  TÃµivo LeedjÃ¤rv  <leedjarv@interest.ee>

	* configure.in: Added et to ALL_LINGUAS.

2002-02-11  Seth Nickell  <snickell@stanford.edu>

	* configure.in:

	Release 1.0.3.

2002-02-11  Gregory Leblanc  <gleblanc@linuxweasel.com>

	* gnome-mime-data.spec.in: Fixed to make actually work.

2002-02-09  Seth Nickell  <snickell@stanford.edu>

	* gnome-vfs-mime-magic:
	* gnome-vfs.mime:
	* icons/Makefile.am:
	* icons/gnome-application-x-abiword.png:

	Change abiword's default type to be appliction/x-abiword.
	This is advised by DV, and seems better to me too
	(the AbiWord people don't seem to have a preference). Its
	also what KDE currently uses.
	
2002-02-08  Darin Adler  <darin@bentspoon.com>

	* check-mime.pl: Add new keywords so the check doesn't fail.

2002-02-07  Seth Nickell  <snickell@stanford.edu>

	* gnome-vfs-mime-magic:

	Add magic for the "new" AbiWord format.

2002-02-07  Seth Nickell  <snickell@stanford.edu>

	* icons/Makefile.am:
	* icons/gnome-text-abiword.png:

	Add an AbiWord icon. Should be replaced with an icon
	that is "in theme" though.
	
2002-02-06  Larry Ewing  <lewing@ximian.com>

	* gnome-vfs.applications: use gimp-remote --new rather than just
	gimp so that calls don't start multiple gimp instances.

2002-02-01  Michael Meeks  <michael@ximian.com>

	* gnome-vfs.keys.in: replace EOG with image-viewer.

2002-01-31  Bradford Hovinen  <hovinen@ximian.com>

	* gnome-vfs.keys.in: Added category, use_category_default fields

2002-01-30  Seth Nickell  <snickell@stanford.edu>

	* configure.in:

	Bump version number to 1.0.2.
	
2002-01-30  Seth Nickell  <snickell@stanford.edu>

	* gnome-vfs.keys.in:

	Update "GNOME application launcher" to
	"application launcher", since KDE uses .desktop files
	too.

2002-01-27  Anders Carlsson  <andersca@gnu.org>

	* icons/gnome-application-x-gnome-app-info.png: 
	Update icon.

2002-01-27  Seth Nickell  <snickell@stanford.edu>

	* gnome-vfs-mime-magic:

	Remove magic for "detecting" C source code, because it
	often misfires and I can't think of a situation where
	source code isn't properly identified by extension
	anyway.

2002-01-22  jacob berkman  <jacob@ximian.com>

	* configure.in (AC_OUTPUT):
	* Makefile.am (SUBDIRS): move man page from gnome-vfs here

2002-01-21  Seth Nickell  <snickell@stanford.edu>

	* icons/gnome-application-x-gnumeric.png:
	* icons/gnome-video-mpeg.png:

	Updated icons.

2002-01-21  Seth Nickell  <snickell@stanford.edu>

	* check-mime.pl:

	Update to look for icons in ./icons.
	
	* gnome-vfs.keys.in:

	Change a few weird icon_filename entries.
	
	* icons/Makefile.am:
	* icons/gnome-application-x-generic-spreadsheet.png:
	* icons/gnome-application-x-gnumeric.png:
	* icons/i-cdrom-192.png:
	* icons/i-fifo.png:
	* icons/i-harddisk-72.png:
	* icons/i-manual.png:
	* icons/i-music-12.png:
	* icons/i-music-24.png:
	* icons/i-music-36.png:
	* icons/i-nfs.png:
	* icons/i-sock.png:
	* icons/i-spreadsheet.png:

	Move more icons out of Nautilus.

2002-01-21  Seth Nickell  <snickell@stanford.edu>

	* Makefile.am:
	* configure.in:
	* gnome-vfs.keys.in:
	* icons/.cvsignore:
	* icons/Makefile.am:
	* icons/gnome-application-encapsulated_postscript.png:
	* icons/gnome-application-msword.png:
	* icons/gnome-application-pdf.png:
	* icons/gnome-application-pgp.png:
	* icons/gnome-application-postscript.png:
	* icons/gnome-application-qif.png:
	* icons/gnome-application-rtf.png:
	* icons/gnome-application-smil.png:
	* icons/gnome-application-vnd.lotus-1-2-3.png:
	* icons/gnome-application-vnd.ms-excel.png:
	* icons/gnome-application-vnd.ms-powerpoint.png:
	* icons/gnome-application-vnd.rn-realmedia.png:
	* icons/gnome-application-x-arj.png:
	* icons/gnome-application-x-backup.png:
	* icons/gnome-application-x-blender.png:
	* icons/gnome-application-x-bzip.png:
	* icons/gnome-application-x-c-header.png:
	* icons/gnome-application-x-c-source.png:
	* icons/gnome-application-x-cc-source.png:
	* icons/gnome-application-x-compress.png:
	* icons/gnome-application-x-dia-diagram.png:
	* icons/gnome-application-x-e-theme.png:
	* icons/gnome-application-x-font-sunos-news.png:
	* icons/gnome-application-x-generic-spreadsheet.png:
	* icons/gnome-application-x-gnome-app-info.png:
	* icons/gnome-application-x-gzip.png:
	* icons/gnome-application-x-jar.png:
	* icons/gnome-application-x-java-source.png:
	* icons/gnome-application-x-kde-app-info.png:
	* icons/gnome-application-x-killustrator.png:
	* icons/gnome-application-x-kpresenter.png:
	* icons/gnome-application-x-kspread.png:
	* icons/gnome-application-x-kword.png:
	* icons/gnome-application-x-ogg.png:
	* icons/gnome-application-x-php.png:
	* icons/gnome-application-x-reject.png:
	* icons/gnome-application-x-scheme-source.png:
	* icons/gnome-application-x-sql.png:
	* icons/gnome-application-x-staroffice-presentation.png:
	* icons/gnome-application-x-staroffice-words.png:
	* icons/gnome-audio-ac3.png:
	* icons/gnome-audio-basic.png:
	* icons/gnome-audio-midi.png:
	* icons/gnome-audio-mpeg.png:
	* icons/gnome-audio-ulaw.png:
	* icons/gnome-audio-x-aiff.png:
	* icons/gnome-audio-x-bmx.png:
	* icons/gnome-audio-x-mod.png:
	* icons/gnome-audio-x-pn-realaudio.png:
	* icons/gnome-audio-x-s3m.png:
	* icons/gnome-audio-x-stm.png:
	* icons/gnome-audio-x-voc.png:
	* icons/gnome-audio-x-wav.png:
	* icons/gnome-audio-x-xi.png:
	* icons/gnome-audio-x-xm.png:
	* icons/gnome-audio.png:
	* icons/gnome-compressed.png:
	* icons/gnome-font-afm.png:
	* icons/gnome-font-bdf.png:
	* icons/gnome-font-linux-psf.png:
	* icons/gnome-font-ttf.png:
	* icons/gnome-font-x-pcf.png:
	* icons/gnome-http-url.png:
	* icons/gnome-image-bmp.png:
	* icons/gnome-image-generic.png:
	* icons/gnome-image-gif.png:
	* icons/gnome-image-ief.png:
	* icons/gnome-image-jpeg.png:
	* icons/gnome-image-pbm.png:
	* icons/gnome-image-pgm.png:
	* icons/gnome-image-png.png:
	* icons/gnome-image-pnm.png:
	* icons/gnome-image-ppm.png:
	* icons/gnome-image-psd.png:
	* icons/gnome-image-ras.png:
	* icons/gnome-image-rgb.png:
	* icons/gnome-image-svg.png:
	* icons/gnome-image-tga.png:
	* icons/gnome-image-tiff.png:
	* icons/gnome-image-x-3ds.png:
	* icons/gnome-image-x-applix-graphic.png:
	* icons/gnome-image-x-lwo.png:
	* icons/gnome-image-x-lws.png:
	* icons/gnome-image-x-xfig.png:
	* icons/gnome-image-xbm.png:
	* icons/gnome-image-xcf.png:
	* icons/gnome-image-xpm.png:
	* icons/gnome-image-xwd.png:
	* icons/gnome-library.png:
	* icons/gnome-objectfile.png:
	* icons/gnome-pack-deb.png:
	* icons/gnome-pack-rpm.png:
	* icons/gnome-package.png:
	* icons/gnome-tex.png:
	* icons/gnome-text-html.png:
	* icons/gnome-text-plain.png:
	* icons/gnome-text-x-authors.png:
	* icons/gnome-text-x-c.png:
	* icons/gnome-text-x-copying.png:
	* icons/gnome-text-x-credits.png:
	* icons/gnome-text-x-install.png:
	* icons/gnome-text-x-makefile.png:
	* icons/gnome-text-x-readme.png:
	* icons/gnome-text-x-sql.png:
	* icons/gnome-textfile.png:
	* icons/gnome-video-mpeg.png:
	* icons/gnome-video-quicktime.png:
	* icons/gnome-video-x-ms-asf.png:
	* icons/gnome-video-x-msvideo.png:
	* icons/gnome-x-font-afm.png:
	* icons/gnome-x-troff-man.png:
	* icons/i-blockdev.png:
	* icons/i-cdrom.png:
	* icons/i-chardev.png:
	* icons/i-core.png:
	* icons/i-executable.png:
	* icons/i-floppy.png:
	* icons/i-harddisk.png:
	* icons/i-music.png:
	* icons/i-printer.png:
	* icons/i-regular-72.png:
	* icons/i-regular-96.png:
	* icons/i-regular.png:
	* icons/i-regular.xml:
	* icons/i-zipdisk.png:

	Move document icons into gnome-mime-data out of Nautilus.
	Use Tigert/Jimmac's new document icons.
	
2001-12-18  Seth Nickell  <snickell@stanford.edu>

	* gnome-vfs-mime-magic:
	* gnome-vfs.keys.in:
	* gnome-vfs.mime:

	Add magic for detecting mbox files.	
	
Sun Dec  2 15:58:54 2001  Owen Taylor  <otaylor@redhat.com>

	* configure.in: Use AM_GLIB_GNU_GETTEXT; saves po/ChangeLog
	conflicts and needing an intl directory.

==========1.0.1============

2001-12-01  Seth Nickell  <snickell@stanford.edu>

	* configure.in:

	Bump version to 1.0.1.

	
2001-12-01  Seth Nickell  <snickell@stanford.edu>

	* gnome-vfs.applications:
	* gnome-vfs.keys.in:

	Add dpkg for installing Debian packages
	
2001-12-01  Seth Nickell  <snickell@stanford.edu>

	* gnome-vfs-mime-magic:
	* gnome-vfs.keys.in:
	* gnome-vfs.mime:

	Add PSID data type.
	
2001-12-01  Seth Nickell  <snickell@stanford.edu>

	* gnome-vfs.keys.in:
	Add GIMP entries to compressed GIMP files.	
	
2001-11-18  Carlos PerellÃ³ MarÃ­n <carlos@gnome-db.org>

	* configure.in (ALL_LINGUAS): Added pt

2001-11-12  jacob berkman  <jacob@ximian.com>

	* configure.in: use the gnome 2 gettext macro, as the gnu one
	can't be made to be happy

2001-11-11  jacob berkman  <jacob@ximian.com>

	* configure.in: remove all the gnome stuff, since we don't need
	any gnome things

	* Makefile.am: use intltool

2001-11-09  Seth Nickell  <snickell@stanford.edu>

	* Makefile.am:

	Remove @INTLTOOL_KEYS_RULE@ since we are using XML_I18N_TOOLS
	stuff instead for compatibility with GNOME1.
	Use XML_I18N_MERGE_KEYS_RULE instead.
	
	* configure.in:

	Finish making work on GNOME1. Should work on both GNOME1 and
	GNOME2 now.

2001-11-09  Seth Nickell  <snickell@stanford.edu>

	* configure.in:

	Steps towards build on GNOME1 platform as well as GNOME2.

2001-11-05  Darin Adler  <darin@bentspoon.com>

	* configure.in: Remove some commented-out old stuff.

2001-11-02  jacob berkman  <jacob@ximian.com>

	* configure.in: glib's Makefile.in.in expects GETTEXT_PACKAGE to
	be set

	* Makefile.am (SUBDIRS): add po

	* gnome-mime-data.spec.in: include pkgconfig file

2001-11-02  Darin Adler  <darin@bentspoon.com>

	* .cvsignore: Ignore gnome-vfs.keys. Don't bother
	ignoring things that just aren't here.
	* gnome-vfs-mime-magic: Remove some spaces to make
	check-mime.pl happy.
	* gnome-vfs.keys.in: Remove file type extensions from
	all icon filenames for clarity. Remove all icon filenames
	that exactly match the MIME type. We only need an explicit
	mention of the filename if it's not "gnome-<type>", where
	"<type>" is the MIME type with the "/" replaced by "-".

2001-11-02  Seth Nickell  <snickell@stanford.edu>

	* gnome-vfs-mime-magic:
	* gnome-vfs.applications:
	* gnome-vfs.keys.in:
	* gnome-vfs.mime:

	Add LyX Document Processor and text/x-lyx
	
2001-11-02  Seth Nickell  <snickell@stanford.edu>

	* gnome-vfs.keys.in:

	Make AbiWord the default application for Word files.

2001-11-02  Seth Nickell  <snickell@stanford.edu>

	* gnome-vfs.keys.in:

	Make Gnumeric the default application for Excel files.

2001-11-01  Seth Nickell  <snickell@stanford.edu>

	* Makefile.am:

	Add check-mime.pl to EXTRA_DIST.
	
2001-11-01  Seth Nickell  <snickell@stanford.edu>

	* configure.in:

	Change version number so people aren't confused...this should
	end up working with GNOME1.

2001-11-01  Seth Nickell  <snickell@stanford.edu>

	* autogen.sh:

	Give up and use GNOME2 macros...it works with GnomeVFS2
	now which is the most important part for now.

2001-11-01  Seth Nickell  <snickell@stanford.edu>

	* .cvsignore:

	Add a cvs ignore file.

=Initial checkin to a seperate module.=

2001-10-24  Seth Nickell  <snickell@stanford.edu>

	* gnome-vfs-mime-magic:

	Remove really questionable mime magic for detecting C/C++ files
	based on comment characters. This incorrectly detected Java files,
	and I don't know of an instance where a C/C++ file didn't
	have an extension, so mime magic really isn't useful here.
	
	* gnome-vfs.applications:
	* gnome-vfs.keys.in:

	Add x-dvi (already on the stable branch).
	
2001-10-24  Seth Nickell  <snickell@stanford.edu>

	* gnome-vfs.applications:
	* gnome-vfs.keys.in:
	* gnome-vfs.mime:

	Add C headers as a seperate type (helps out gIDE).

2001-10-02  Darin Adler  <darin@bentspoon.com>

	* Makefile.am: Changed from xml-i18n-tools to intltool.

2001-09-21  Havoc Pennington  <hp@redhat.com>

	* Makefile.am (sysconf_DATA): revert rename of
	gnome-vfs-mime-magic

	* gnome-vfs-mime-magic: add a comment about the desktop entry
	stuff being somewhat wrong

2001-09-18  Havoc Pennington  <hp@redhat.com>

	* Makefile.am (gnome-vfs2-mime-magic): rename gnome-vfs-mime-magic

2001-08-22  Dan Winship  <danw@ximian.com>

	* gnome-vfs.mime: Map .ics to text/calendar

	* gnome-vfs-mime-magic: Add BEGIN:VCALENDAR so icalendar objects
	aren't identified as text/plain

2001-08-06  Darin Adler  <darin@bentspoon.com>

	* gnome-vfs.applications: Corrected name of AbiWord executable.
	According to Dom and ALex Larsson, it's AbiWord, not abiword.

Fri Jul 27 14:22:27 2001  Jonathan Blandford  <jrb@redhat.com>

	* gnome-vfs-mime-magic: Make it more precise

Fri Jul 27 11:41:16 2001  Jonathan Blandford  <jrb@redhat.com>

	* gnome-vfs-mime-magic: sniff out .desktop files.

2001-07-16  Darin Adler  <darin@bentspoon.com>

	* gnome-vfs.keys.in: Remove more ntl_web_browser entries.

2001-07-11  Darin Adler  <darin@bentspoon.com>

	* gnome-vfs.applications: Roll out Seth's change to not pass
	URIs to the Gimp at all, and make it use paths for file: URIs
	and still work for http URIs.

2001-06-26  Darin Adler  <darin@bentspoon.com>

	* gnome-vfs.keys.in: Remove ntl_web_browser entries.

2001-06-14  Aaron Brick  <aaron@lithic.org>

	* gnome-vfs.keys.in:

	reverted application of the patch below, which was apparently
	ill-advised. more mysteries remain.

2001-06-13  Aaron Brick  <aaron@lithic.org>

	* gnome-vfs.keys.in:
	
	applied patch from Timothy Alan Chandler <fusion@heavywater.net>
	which corrects icon path and filenames. many were missing extension
	".png", and many needed to be preceded with the directory
	"nautilus/". NB: we suspect a kludge is in place which made this
	work before; it should be eliminated, afaict.

2001-06-13  Aaron Brick  <aaron@lithic.org>

	* changed my contact address for missing types.

2001-06-06  Seth Nickell  <snickell@stanford.edu>

	* gnome-vfs.applications:

	Add http URI support to VideoLAN.

2001-06-06  Seth Nickell  <snickell@stanford.edu>

	* gnome-vfs.applications:
	* gnome-vfs.keys.in:

	Added plaympeg, a solid player if a little simple.
	
2001-06-06  Seth Nickell  <snickell@stanford.edu>

	* gnome-vfs.applications:
	* gnome-vfs.keys.in:

	Add VideoLAN to the application list as the preferred player
	for MPEG files (http://www.videolan.org).
	
2001-05-24  Dan Winship  <danw@ximian.com>

	* gnome-vfs-mime-magic: Add an entry for text/x-vcard so they
	don't get misidentified as text/plain

2001-05-14  Seth Nickell  <snickell@stanford.edu>

	* gnome-vfs-mime-magic:

	Add more flexible checks for script files to handle things like
	'#! /bin/sh'.
	
	* gnome-vfs.applications:

	Change GIMP to not allow URIs. This seems to malfunction on
	many copies of the GIMP in the file:// case.

2001-05-01  Seth Nickell  <snickell@stanford.edu>

	* data/mime/gnome-vfs-mime-magic:

	Add PHP support to the magic mime database.

2001-05-01  Darin Adler  <darin@eazel.com>

	* gnome-vfs.applications: Update entry for The Gimp so it
	knows that it can use http URLs.

2001-04-25  Darin Adler  <darin@eazel.com>

	* gnome-vfs.applications: Put in alphabetical order.

2001-04-23  John Sullivan  <sullivan@eazel.com>

	* gnome-vfs.keys.in: Added can_be_executable
	flag to text/x-python so they will work as Nautilus scripts.

2001-04-20  Seth Nickell  <snickell@stanford.edu>

	* gnome-vfs.keys.in:
	Fix bug #7216, jbuilder in the application database but
	not listed for files of type text/x-java.
	
2001-03-01  Aaron Brick  <aaron@eazel.com>

	* added application/x-rar to the list of guitar's supported types
	in addition to its ambiguous alter-ego, /x-rar-compressed.

2001-02-28  Darin Adler  <darin@eazel.com>

	reviewed by: Pavel Cisler <pavel@eazel.com>

	Fixed bug 7043, java files execute by default now.

	* gnome-vfs.keys.in: Removed the lines that make compiled java
	execute java by default. We can return to this issue later, along
	with the general issue of how to handle "execute-like" entries in
	this file. Most of the applications have "edit-like"
	behavior. Also removed the line that made the default for opening
	Java source code be the Java compiler. We don't invoke a C
	compiler when you open a C source file and we don't want to do it
	for Java either. Also removed an icon name that doesn't correspond
	to an actual icon.

2001-02-28  Gene Z. Ragan  <gzr@eazel.com>

	reviewed by: Pavel Cisler <pavel@eazel.com>
	
	Fixed bug 5570, bmp file sometimes appears as an mp3 file
	
	* gnome-vfs-mime-magic:
	* gnome-vfs.mime:
	Add image/bmp rule. There was already information
	about this mime type in .keys

2001-02-28  Gene Z. Ragan  <gzr@eazel.com>

	reviewed by: Pavel Cisler <pavel@eazel.com>
	
	Fixed bug 7148, Flash files identified as mp3
	
	* gnome-vfs-mime-magic:
	* gnome-vfs.keys.in:
	* gnome-vfs.mime:
	Add application/x-shockwave-flash information.
	
2001-02-28  Rebecca Schulman  <rebecka@eazel.com>

	reviewed by: Aaron Brick <aaron@eazel.com>

	Fix bugzilla.eazel.com bug 7093

	* gnome-vfs.applications:
	* gnome-vfs.keys.in:
	Remove gnorpm from the list of applications,
	since it doesn't actually open rpm files when
	they are passed as arguments.

2001-02-27  John Sullivan  <sullivan@eazel.com>

	reviewed by: Darin Adler <darin@eazel.com>

	Fixed bug 7095 (wrong icon used for HTML files in
	bookmarks & icon views)

	* gnome-vfs.keys.in: Removed icon for text/html. Nautilus has its
	own logic for dealing with html files that gets broken by a
	hard-wired icon here.  Maybe we should change the logic in
	Nautilus someday, but this is the safe right-before-release
	change.

2001-02-26  Seth Nickell  <seth@eazel.com>

	reviewed by: Darin Adler <darin@eazel.com>

	* gnome-vfs-mime-magic:
	* gnome-vfs.applications:
	* gnome-vfs.keys.in:
	* gnome-vfs.mime:

	Fix bugs 7033-7038 and 7050. Also fix unreported bug found last night
	wherein DVI files are recognized as MP3 by adding magic-mime numbers
	for DVI.

2001-02-26  Darin Adler  <darin@eazel.com>

	reviewed by: John Sullivan <sullivan@eazel.com>

	More fixes after adding more checks to check-mime.pl.

	* gnome-vfs.applications: Fixed a typo where it said
	"expect_uirs".
	* gnome-vfs.keys.in: Fixed a couple of places that said
	"default_action" instead of "default_action_type". Got
	rid of some duplicate icon_filename entries. Fixed a few
	places that said "icon-filename".
	* gnome-vfs.mime: Fixed a place that said "regex.2"
	instead of "regex,2". Got rid of some stray "icon_filename".

2001-02-26  Darin Adler  <darin@eazel.com>

	reviewed by: Pavel Cisler <pavel@eazel.com>

	* gnome-vfs-mime-magic:
	* gnome-vfs.keys.in:
	* gnome-vfs.mime:
	Ran check-mime.pl and fixed some of the problems it reported,
	including a bad pattern for application/x-applix-spreadsheet,
	non-translated description for application/qif, and many
	entries that were not in sorted order. Wrote bug reports for
	other problems it detected.

2001-02-25  Seth Nickell  <seth@eazel.com>

	reviewed by: Maciej Stachowiak <mjs@eazel.com>

	* gnome-vfs-mime-magic:
	* gnome-vfs.applications:
	* gnome-vfs.keys.in:
	* gnome-vfs.mime:

	Added four bazillion applications and MIME types so we
	support all the GNOME 1.4 and extras applications and KOffice
	and lots of other random various applications and types.

2001-02-16  Aaron Brick  <aaron@eazel.com>

	* added pico (jpico)

2001-02-07  Aaron Brick  <aaron@eazel.com>

	* combed mc.keys for missed types, adding:

		application/x-slp
		application/x-tex (a duplicate)

		and dismissing the rest.

	* added a comment to the RPM-detecting magic.

2001-01-31  Rebecca Schulman  <rebecka@eazel.com>

	* gnome-vfs.keys.in:
	Fixed a typo in this file that was making 
	the vault unviewable by anything except mozilla.

2001-01-31  Darin Adler  <darin@eazel.com>

	* gnome-vfs.applications: Made check-mime happy by using a tab,
	not spaces, on the realplay line.

2001-01-30  Kenneth Christiansen  <kenneth@gnu.org>

	* gnome-vfs.mime: add abiword abw files.

2001-01-26  Aaron Brick  <aaron@eazel.com>

	* renamed realplayer executable "realplay"
	* added duplicate realplayer type application/vnd.rn-realmedia

2001-01-24  Aaron Brick  <aaron@eazel.com>

	* renamed "acrobat" "acroread" per the executable's name
	* prioritized xpdf above gv/ggv because its PDF handling is superior

2001-01-22  Darin Adler  <darin@eazel.com>

	* gnome-vfs-mime-magic:
	* gnome-vfs.applications:
	* gnome-vfs.keys.in:
	* gnome-vfs.mime:
	Got rid of minor whitespace anomalies -- always use tabs to
	indent, don't put any tab on blank lines, no trailing
	whitespace allowed.

2001-01-22  Aaron Brick  <aaron@eazel.com>

	* removed references to obsolete application/x-abiword
	* added description for text/x-troff-mm
	* added underscore to a couple of plain "description=" lines

2001-01-22  Darin Adler  <darin@eazel.com>

	* gnome-vfs.keys.in: Rolled in one more change.

2001-01-22  Darin Adler  <darin@eazel.com>

	* gnome-vfs.keys.in: Re-apply many changes that were lost
	when Kenneth created this file. Apparently he made it from
	and old version of gnome-vfs.keys.

2001-01-22  John Sullivan  <sullivan@eazel.com>

	Fixed bug 5845 (web bookmarks change to generic document
	icon after visiting)

	* gnome-vfs.keys.in:

	Removed all the lines that specify "i-regular" for an
	icon filename. "i-regular" is the default anyway, so 
	specifying it will have no useful effect. In the case
	of bug 5845, it had a bad effect (prevented the special
	web icon from being used). Aaron had intended to make
	this change a while back.

	Note: this bug was marked PR3 so we might want to make this
	simple change on the branched gnome-vfs, if there is one.

2001-01-19  Darin Adler  <darin@eazel.com>

	* gnome-vfs.keys.in: Call it a StuffIt archive, not a
	StuffIt! archive. Also get rid of some strangely placed
	blank lines that might have caused some trouble.

2001-01-19  John Sullivan  <sullivan@eazel.com>

	* gnome-vfs.keys.in:
	Marked text/x-sh as can_be_executable. This was
	an oversight from my earlier first pass at marking
	the executable MIME types. It was driving poor Seth crazy.

2001-01-19  Darin Adler  <darin@eazel.com>

	* Makefile.am: Oops. Missed one.

2001-01-19  Darin Adler  <darin@eazel.com>

	* .cvsignore: Ignore the generated gnome-vfs.keys file.
	* Makefile.am: Fix make rules to put NULL first, use lower-case
	for variables (to match xml-i18n-tools/README recommendations),
	and not repeat the keys files twice in the EXTRA_DIST list. Also,
	remove commented-out obsolete rules.

2001-01-18  Kenneth Christiansen  <kenneth@gnu.org>

	* gnome-vfs.keys.in: Removed some more
	translations. DON'T TRANSLATE THIS FILE ANYMORE
	Get cvs xml-i18n-tools instead and translate
	the pot file localed in po/.

2001-01-18  Kenneth Christiansen  <kenneth@gnu.org>

	* Makefile.am: Added support for xml-i18n-tools to
	manage the keys.in file.
	* gnome-vfs.keys: Removed.
	* gnome-vfa.keys.in: Added.

2001-01-16  Christophe Merlet  <redfox@eikonex.org>

	* gnome-vfs.keys: Updated French strings.

2001-01-15  Aaron Brick  <aaron@eazel.com>

	* revised the english MIME descriptions according to the new rules.

	* added alternate abiword type application/x-abiword
	* standardized translation strategy for "README"
	* obsoleted application/x-class-file in favor of /x-java-byte-code
	* standardized nomenclature for references to troff macro sets
	* removed *.sa mapping to application/x-unix-archive
	* added file regex to map different kinds of ANIM animations

2000-12-28  Aaron Brick  <aaron@eazel.com>

	* renamed several MIME types to reflect their compressed nature.
	* removed the now-outdated translations of those types.

	* added file extension detection for "compressed" (.Z) files.

2000-12-26  Aaron Brick  <aaron@eazel.com>

	* xmms can support .wav files.

2000-11-21  Jarkko Ranta  <jjranta@cc.joensuu.fi>

	* Pauli Virtanen's gnome-vfs.keys Finnish update.

2000-11-11  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-vfs.keys: Added more Norwegian translations.
	
2000-10-29  Christian Rose  <menthos@menthos.com>

	* gnome-vfs.keys: Fixed Swedish translations.

2000-10-25  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-vfs.keys: Added more Norwegian translations.
	
2000-10-23  Christian Rose  <menthos@menthos.com>

	* gnome-vfs.keys: Added Swedish translations.
